Bug 42214 - syntax errors in db3/configure for rpm-4.0.3-0.26
syntax errors in db3/configure for rpm-4.0.3-0.26
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-24 16:35 EDT by Nathan Owen
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-17 16:20:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
changes the db configure to default to different compiler (75.67 KB, patch)
2001-06-22 12:06 EDT, Nathan Owen
no flags Details | Diff

  None (edit)
Description Nathan Owen 2001-05-24 16:35:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.6 [en] (X11; U; SunOS 5.6 sun4u)

Description of problem:
This is actually 3 problems, but they all are on the same line of code.

When running configure on solaris 2.6 it complains about the placement of a
parenthesis and halts. I believe this is due to a $(...) construct on line
12 of db3/configure, this would run under bash but die under the solaris
sh. Would backquotes work equivalently? 

On line 11 configure is called and it is passed a variable CFALGS that I'm
guessing is supposed to be CFLAGS

Finally, the compiler used by the configure called on line 11 is not
necessarily the one that is used for the rpm configure. It defaults to cc
if it's available whereas (in my opinion) the compiler used for the rpm
configure should be passed to the db configure

How reproducible:

Steps to Reproduce:
1. ./configure

Additional info:
Comment 1 Jeff Johnson 2001-05-24 16:43:27 EDT
As you can see the db3 configure is a bit (ahem) minimalistic at the moment.

Hmmm, no wonder I was having trouble setting CFLAGS ...

Sure back tics work fine.

Will catch the CC as well as the CFALGS in a bit.

Thanks for noticing.
Comment 2 Jeff Johnson 2001-05-31 09:53:23 EDT
Fixed in rpm-4.0.3-0.29 (or thereabouts).
Comment 3 Nathan Owen 2001-06-22 12:06:08 EDT
Created attachment 21565 [details]
changes the db configure to default to different compiler
Comment 4 Nathan Owen 2001-06-22 12:06:35 EDT
The CC fix did not work, I am attaching a patch that changes the behavior of the
configure in db/dist (default compiler is cc) to match the rest of rpm (default
compiler is gcc). The patch is against rpm-4.0.3-0.42
Comment 5 Nathan Owen 2001-07-17 16:18:57 EDT
The leading space in the sed script around line 12 is causing configure to break
on both my solaris and rh7.1 systems:

	`echo $* | sed -e "s% --cache-file=.*$% --enable-shared --enable-static ... 
getting rid of it seems to work fine
Comment 6 Nathan Owen 2001-07-17 16:20:46 EDT
that should be the space between "s% and  --cache
Comment 7 Jeff Johnson 2001-12-19 14:50:10 EST
This problem appears to be resolved. Please reopen if I'm wrong.

Note You need to log in before you can comment on or make changes to this bug.